.box {
    width: 50px;
    height: 50px;
    background-color: gray;
    text-align: center;
    border: double 5px yellow;
}

#box2 {
    position: relative;
    top: 70px;
    left: 10px;
    z-index: 2;
}

#box1 {
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 1;
}

#box3 {
    position: absolute;
    top: 30px;
    left: 30px;
    z-index: 0;
}